# eth\_accounts

Returns a list of addresses owned by client.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_accounts)

## **Parameters**

`None`

## Returns

`array of data` - 20 Bytes - addresses owned by the client. As Validation Cloud does not store private keys, this method is expected to return an empty response.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": [],
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.conflux.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_accounts","params":[],"id":1}'

</code></pre>

{% endtab %}

{% tab title="testnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://testnet.conflux.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_accounts","params":[],"id":1}'

</code></pre>

{% endtab %}
{% endtabs %}
